#pragma once

#include "codec.hh"
#include "params.hh"

#include "sip_codec_request.hh"

class Base_Type;
class TTCN_Typedescriptor_t;
class TTCN_Buffer;

namespace LibSip__SIPTypesAndValues {
  class INFO__Request;
}

class sip_codec_info_request: public codec <
LibSip__SIPTypesAndValues::INFO__Request,
LibSip__SIPTypesAndValues::INFO__Request>
{
  sip_codec_request _codec;
public:
  explicit sip_codec_info_request() : codec<LibSip__SIPTypesAndValues::INFO__Request, LibSip__SIPTypesAndValues::INFO__Request>(), _codec() { };
  virtual ~sip_codec_info_request() { };

  virtual int encode (const LibSip__SIPTypesAndValues::INFO__Request& msg, OCTETSTRING& data);
  virtual int decode (const OCTETSTRING& data, LibSip__SIPTypesAndValues::INFO__Request& msg, params* p_params = NULL);
}; // End of class sip_codec_info_request
