#!/bin/bash
# Copyright ETSI 2021
# See: https://forge.etsi.org/etsi-forge-copyright-statement.txt

#set -e
set -vx

docker run --interactive --tty --rm --publish 2222:22 --env DISPLAY=$DISPLAY --volume /tmp/.X11-unix:/tmp/.X11-unix --cap-add=NET_RAW --cap-add=NET_ADMIN --user etsi ttf_t009_ng112:latest /bin/bash -c ". /home/etsi/devenv.bash && export ATS=AtsLIS && cd /home/etsi/dev/ETSI_Ng112/scripts && ./run_all.bash"

# That's all Floks
exit 0
